(function () {
	function webLog(str) {
		window.webLog && window.webLog("exit:" + str)
	}
	var keyUpCount=-1
	function init() {
		try {
			webLog("init")
			setFocusById("btn_exit")
			document.onkeydown = function (e) {
				var dataKeydown = e.target.getAttribute("data-keydown") || ""
				var dataKeys = dataKeydown.split(",") || []
				var keyName = getKeyNameByEvent(e)
				webLog("exit keyName" + keyName+"keyUpCount"+keyUpCount)
				if(keyName==="UP"&&keyUpCount!==-1){
					keyUpCount++
					if(keyUpCount===5){
						if(localStorage.openTest=="1"){
							localStorage.openTest=""
							alert('打开正式平台')
						}else{
							localStorage.openTest="1"
							alert('打开测试平台')
						}
						window.restartApp()
					}
				}else{
					keyUpCount=-1
				}
				switch (keyName) {
					case "RIGHT":
						setFocusById(dataKeys[1])
						break
					case "LEFT":
						setFocusById(dataKeys[3])
						break
					case "EXIT":
					case "BACK":
						closeWindow()
						break
					case "ENTER":
						handEnter(e.target.id)
						break
					default:
						break
				}
				e.stopPropagation()
			}
		} catch (error) {
			webLog("error " + error.message)
		}
	}

	function setFocusById(id) {
		webLog("setFocusById:" + id)
		var dom = document.getElementById(id)
		if (dom && dom.focus) {
			dom.focus()
		}
		if(id==="btn_restart"){
			keyUpCount=0
		}else{
			keyUpCount=-1
		}
	}

	function handEnter(action) {
		webLog("handEnter action:" + action)
		switch (action) {
			case "btn_exit":
				window.exitApp()
				break
			case "btn_logout":
				window.clearAppCache()
				break
			case "btn_restart":
				window.restartApp()
				break
			default:
				break
		}
	}

	window.onload = init
})()